com.amazonaws.services.workspaces.model

## Class WorkspaceRequest

- java.lang.Object
- - com.amazonaws.services.workspaces.model.WorkspaceRequest

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkspaceRequest
    extends Object
    implements Serializable, Cloneable

Contains information about a WorkSpace creation request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkspaceRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkspaceRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getBundleId()` The identifier of the bundle to create the WorkSpace from.
`String` `getDirectoryId()` The identifier of the AWS Directory Service directory to create the WorkSpace in.
`Boolean` `getRootVolumeEncryptionEnabled()` Specifies whether the data stored on the root volume, or C: drive, is encrypted.
`List<Tag>` `getTags()` The tags of the WorkSpace request.
`String` `getUserName()` The username that the WorkSpace is assigned to.
`Boolean` `getUserVolumeEncryptionEnabled()` Specifies whether the data stored on the user volume, or D: drive, is encrypted.
`String` `getVolumeEncryptionKey()` The KMS key used to encrypt data stored on your WorkSpace.
`WorkspaceProperties` `getWorkspaceProperties()`
`int` `hashCode()`
`Boolean` `isRootVolumeEncryptionEnabled()` Specifies whether the data stored on the root volume, or C: drive, is encrypted.
`Boolean` `isUserVolumeEncryptionEnabled()` Specifies whether the data stored on the user volume, or D: drive, is encrypted.
`void` `setBundleId(String bundleId)` The identifier of the bundle to create the WorkSpace from.
`void` `setDirectoryId(String directoryId)` The identifier of the AWS Directory Service directory to create the WorkSpace in.
`void` `setRootVolumeEncryptionEnabled(Boolean rootVolumeEncryptionEnabled)` Specifies whether the data stored on the root volume, or C: drive, is encrypted.
`void` `setTags(Collection<Tag> tags)` The tags of the WorkSpace request.
`void` `setUserName(String userName)` The username that the WorkSpace is assigned to.
`void` `setUserVolumeEncryptionEnabled(Boolean userVolumeEncryptionEnabled)` Specifies whether the data stored on the user volume, or D: drive, is encrypted.
`void` `setVolumeEncryptionKey(String volumeEncryptionKey)` The KMS key used to encrypt data stored on your WorkSpace.
`void` `setWorkspaceProperties(WorkspaceProperties workspaceProperties)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkspaceRequest` `withBundleId(String bundleId)` The identifier of the bundle to create the WorkSpace from.
`WorkspaceRequest` `withDirectoryId(String directoryId)` The identifier of the AWS Directory Service directory to create the WorkSpace in.
`WorkspaceRequest` `withRootVolumeEncryptionEnabled(Boolean rootVolumeEncryptionEnabled)` Specifies whether the data stored on the root volume, or C: drive, is encrypted.
`WorkspaceRequest` `withTags(Collection<Tag> tags)` The tags of the WorkSpace request.
`WorkspaceRequest` `withTags(Tag... tags)` The tags of the WorkSpace request.
`WorkspaceRequest` `withUserName(String userName)` The username that the WorkSpace is assigned to.
`WorkspaceRequest` `withUserVolumeEncryptionEnabled(Boolean userVolumeEncryptionEnabled)` Specifies whether the data stored on the user volume, or D: drive, is encrypted.
`WorkspaceRequest` `withVolumeEncryptionKey(String volumeEncryptionKey)` The KMS key used to encrypt data stored on your WorkSpace.
`WorkspaceRequest` `withWorkspaceProperties(WorkspaceProperties workspaceProperties)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkspaceRequest

    public WorkspaceRequest()

### Method Detail

#### setDirectoryId

    public void setDirectoryId(String directoryId)

The identifier of the AWS Directory Service directory to create the WorkSpace in. You can use the DescribeWorkspaceDirectories operation to obtain a list of the directories that are available.

Parameters:
  `directoryId` - The identifier of the AWS Directory Service directory to create the WorkSpace in. You can use the DescribeWorkspaceDirectories operation to obtain a list of the directories that are available.

#### getDirectoryId

    public String getDirectoryId()

The identifier of the AWS Directory Service directory to create the WorkSpace in. You can use the DescribeWorkspaceDirectories operation to obtain a list of the directories that are available.

Returns:
  The identifier of the AWS Directory Service directory to create the WorkSpace in. You can use the DescribeWorkspaceDirectories operation to obtain a list of the directories that are available.

#### withDirectoryId

    public WorkspaceRequest withDirectoryId(String directoryId)

The identifier of the AWS Directory Service directory to create the WorkSpace in. You can use the DescribeWorkspaceDirectories operation to obtain a list of the directories that are available.

Parameters:
  `directoryId` - The identifier of the AWS Directory Service directory to create the WorkSpace in. You can use the DescribeWorkspaceDirectories operation to obtain a list of the directories that are available.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUserName

    public void setUserName(String userName)

The username that the WorkSpace is assigned to. This username must exist in the AWS Directory Service directory specified by the `DirectoryId` member.

Parameters:
  `userName` - The username that the WorkSpace is assigned to. This username must exist in the AWS Directory Service directory specified by the `DirectoryId` member.

#### getUserName

    public String getUserName()

The username that the WorkSpace is assigned to. This username must exist in the AWS Directory Service directory specified by the `DirectoryId` member.

Returns:
  The username that the WorkSpace is assigned to. This username must exist in the AWS Directory Service directory specified by the `DirectoryId` member.

#### withUserName

    public WorkspaceRequest withUserName(String userName)

The username that the WorkSpace is assigned to. This username must exist in the AWS Directory Service directory specified by the `DirectoryId` member.

Parameters:
  `userName` - The username that the WorkSpace is assigned to. This username must exist in the AWS Directory Service directory specified by the `DirectoryId` member.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBundleId

    public void setBundleId(String bundleId)

The identifier of the bundle to create the WorkSpace from. You can use the DescribeWorkspaceBundles operation to obtain a list of the bundles that are available.

Parameters:
  `bundleId` - The identifier of the bundle to create the WorkSpace from. You can use the DescribeWorkspaceBundles operation to obtain a list of the bundles that are available.

#### getBundleId

    public String getBundleId()

The identifier of the bundle to create the WorkSpace from. You can use the DescribeWorkspaceBundles operation to obtain a list of the bundles that are available.

Returns:
  The identifier of the bundle to create the WorkSpace from. You can use the DescribeWorkspaceBundles operation to obtain a list of the bundles that are available.

#### withBundleId

    public WorkspaceRequest withBundleId(String bundleId)

The identifier of the bundle to create the WorkSpace from. You can use the DescribeWorkspaceBundles operation to obtain a list of the bundles that are available.

Parameters:
  `bundleId` - The identifier of the bundle to create the WorkSpace from. You can use the DescribeWorkspaceBundles operation to obtain a list of the bundles that are available.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVolumeEncryptionKey

    public void setVolumeEncryptionKey(String volumeEncryptionKey)

The KMS key used to encrypt data stored on your WorkSpace.

Parameters:
  `volumeEncryptionKey` - The KMS key used to encrypt data stored on your WorkSpace.

#### getVolumeEncryptionKey

    public String getVolumeEncryptionKey()

The KMS key used to encrypt data stored on your WorkSpace.

Returns:
  The KMS key used to encrypt data stored on your WorkSpace.

#### withVolumeEncryptionKey

    public WorkspaceRequest withVolumeEncryptionKey(String volumeEncryptionKey)

The KMS key used to encrypt data stored on your WorkSpace.

Parameters:
  `volumeEncryptionKey` - The KMS key used to encrypt data stored on your WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUserVolumeEncryptionEnabled

    public void setUserVolumeEncryptionEnabled(Boolean userVolumeEncryptionEnabled)

Specifies whether the data stored on the user volume, or D: drive, is encrypted.

Parameters:
  `userVolumeEncryptionEnabled` - Specifies whether the data stored on the user volume, or D: drive, is encrypted.

#### getUserVolumeEncryptionEnabled

    public Boolean getUserVolumeEncryptionEnabled()

Specifies whether the data stored on the user volume, or D: drive, is encrypted.

Returns:
  Specifies whether the data stored on the user volume, or D: drive, is encrypted.

#### withUserVolumeEncryptionEnabled

    public WorkspaceRequest withUserVolumeEncryptionEnabled(Boolean userVolumeEncryptionEnabled)

Specifies whether the data stored on the user volume, or D: drive, is encrypted.

Parameters:
  `userVolumeEncryptionEnabled` - Specifies whether the data stored on the user volume, or D: drive, is encrypted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isUserVolumeEncryptionEnabled

    public Boolean isUserVolumeEncryptionEnabled()

Specifies whether the data stored on the user volume, or D: drive, is encrypted.

Returns:
  Specifies whether the data stored on the user volume, or D: drive, is encrypted.

#### setRootVolumeEncryptionEnabled

    public void setRootVolumeEncryptionEnabled(Boolean rootVolumeEncryptionEnabled)

Specifies whether the data stored on the root volume, or C: drive, is encrypted.

Parameters:
  `rootVolumeEncryptionEnabled` - Specifies whether the data stored on the root volume, or C: drive, is encrypted.

#### getRootVolumeEncryptionEnabled

    public Boolean getRootVolumeEncryptionEnabled()

Specifies whether the data stored on the root volume, or C: drive, is encrypted.

Returns:
  Specifies whether the data stored on the root volume, or C: drive, is encrypted.

#### withRootVolumeEncryptionEnabled

    public WorkspaceRequest withRootVolumeEncryptionEnabled(Boolean rootVolumeEncryptionEnabled)

Specifies whether the data stored on the root volume, or C: drive, is encrypted.

Parameters:
  `rootVolumeEncryptionEnabled` - Specifies whether the data stored on the root volume, or C: drive, is encrypted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isRootVolumeEncryptionEnabled

    public Boolean isRootVolumeEncryptionEnabled()

Specifies whether the data stored on the root volume, or C: drive, is encrypted.

Returns:
  Specifies whether the data stored on the root volume, or C: drive, is encrypted.

#### setWorkspaceProperties

    public void setWorkspaceProperties(WorkspaceProperties workspaceProperties)

Parameters:
  `workspaceProperties` -

#### getWorkspaceProperties

    public WorkspaceProperties getWorkspaceProperties()

Returns:

#### withWorkspaceProperties

    public WorkspaceRequest withWorkspaceProperties(WorkspaceProperties workspaceProperties)

Parameters:
  `workspaceProperties` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTags

    public List<Tag> getTags()

The tags of the WorkSpace request.

Returns:
  The tags of the WorkSpace request.

#### setTags

    public void setTags(Collection<Tag> tags)

The tags of the WorkSpace request.

Parameters:
  `tags` - The tags of the WorkSpace request.

#### withTags

    public WorkspaceRequest withTags(Tag... tags)

The tags of the WorkSpace request.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - The tags of the WorkSpace request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public WorkspaceRequest withTags(Collection<Tag> tags)

The tags of the WorkSpace request.

Parameters:
  `tags` - The tags of the WorkSpace request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkspaceRequest clone()

Overrides:
  `clone` in class `Object`